json.title @movie.title
json.number_of_actors @movie.actors.size
json.actors @movie.actors do |actor|
  json.name actor.name
end
ActiveStorage::Current.url_options =  { host: request.base_url }

json.set! "posters", [] unless @movie.poster.attached?
json.posters do
  json.child! do
    json.size "thumb"
    json.url @movie.poster.variant(:thumb).processed.url
  end
  json.child! do
    json.size "small"
    json.url @movie.poster.variant(:small).processed.url
  end
  json.child! do
    json.size "medium"
    json.url @movie.poster.variant(:medium).processed.url
  end
  json.child! do
    json.size "original"
    json.url @movie.poster.url
  end
end if @movie.poster.attached?